Package ru.bitel.bgbilling.modules.rscm.common.service

# Interface RSCMService

public interface RSCMService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancelRSCMContractServiceInstallment(int id)`
  `void`
  `closeRSCMContractServiceInstallment(int id)`
  `void`
  `deleteRSCMContractService(int rscmContractServiceId, int contractId, LocalDate month)`
  `void`
  `deleteRSCMContractServiceInstallment(int id, int contractId)`
  `void`
  `deleteRSCMService(int rscmServiceId)`
  `RSCMContractService`
  `getRSCMContractService(int contractId, int rscmContractServiceId)`
  `List<RSCMServiceDto>`
  `getRSCMContractServiceList(boolean isUsing)`
  `RSCMService`
  `getRSCMService(int rscmServiceId)`
  `List<IdTitle>`
  `getRSCMServiceList()`
  `void`
  `infoRSCMContractServiceInstallment(int id)`
  `void`
  `recalculate(Date startMonth, String email, List<Integer> contractIds)`
  `void`
  `resumeRSCMContractServiceInstallment(int id)`
  `SearchResult<RSCMContractService>`
  `searchRSCMContractService(int contractId, Period period, String[] sort, Page page)`
  `SearchResult<RSCMContractServiceInstallment>`
  `searchRSCMContractServiceInstallment(int contractId, int status, String[] sort, Page page)`
  `SearchResult<RSCMService>`
  `searchRSCMService(String[] sort, Page page)`
  `void`
  `suspendRSCMContractServiceInstallment(int id)`
  `void`
  `updateRSCMContractService(RSCMContractService rscmContractService)`
  `void`
  `updateRSCMService(RSCMService rscmService)`

- ## Method Details

  - ### searchRSCMContractService

    SearchResult<RSCMContractService> searchRSCMContractService(int contractId, Period period, String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `contractId` -
      `period` -
      `sort` -
      `page` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchRSCMService

    SearchResult<RSCMService> searchRSCMService(String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `sort` -
      `page` -
      `period` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getRSCMContractService

    RSCMContractService getRSCMContractService(int contractId, int rscmContractServiceId) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `contractId` -
      `id` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getRSCMService

    RSCMService getRSCMService(int rscmServiceId) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `id` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateRSCMContractService

    void updateRSCMContractService(RSCMContractService rscmContractService) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `rscmContractService` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateRSCMService

    void updateRSCMService(RSCMService rscmService) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `rscmService` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteRSCMContractService

    void deleteRSCMContractService(int rscmContractServiceId, int contractId, LocalDate month) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `rscmContractServiceId` -
      `date` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteRSCMService

    void deleteRSCMService(int rscmServiceId) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `rscmServiceId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### recalculate

    void recalculate(Date startMonth, String email, List<Integer> contractIds) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `startMonth` -
      `email` -
      `contractIds` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getRSCMContractServiceList

    List<RSCMServiceDto> getRSCMContractServiceList(boolean isUsing) throws ru.bitel.bgbilling.common.BGException
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getRSCMServiceList

    List<IdTitle> getRSCMServiceList() throws ru.bitel.bgbilling.common.BGException
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchRSCMContractServiceInstallment

    SearchResult<RSCMContractServiceInstallment> searchRSCMContractServiceInstallment(int contractId, int status, String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteRSCMContractServiceInstallment

    void deleteRSCMContractServiceInstallment(int id, int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### infoRSCMContractServiceInstallment

    void infoRSCMContractServiceInstallment(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### suspendRSCMContractServiceInstallment

    void suspendRSCMContractServiceInstallment(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### resumeRSCMContractServiceInstallment

    void resumeRSCMContractServiceInstallment(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### cancelRSCMContractServiceInstallment

    void cancelRSCMContractServiceInstallment(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### closeRSCMContractServiceInstallment

    void closeRSCMContractServiceInstallment(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`